gate: logilab-common cannot be downloaded

Bug #1397931 reported by Ondergetekende on 2014-12-01
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Core Infrastructure
Fix Released
High
Sergey Lukjanov
OpenStack-Gate
High
Sergey Lukjanov
Ondergetekende (kvdveer) on 2014-12-01
description: updated
Sergey Lukjanov (slukjanov) wrote :

better query:

tags:"console" AND message:"HTTP error 404 while getting <a href='http://pypi.region-b.geo-1.openstack.org/packages/source/l/logilab-common/logilab-common-0.63.2.tar.gz"

Changed in openstack-ci:
milestone: none → kilo
assignee: nobody → Sergey Lukjanov (slukjanov)
importance: Undecided → High
status: New → In Progress
Sergey Lukjanov (slukjanov) wrote :

Query in issue description is ok.

Jeremy Stanley (fungi) wrote :

The first hit for this in logstash seems to be 2014-11-30 19:08:17.754 in http://logs.openstack.org/74/137274/6/check/gate-nova-tox-functional/bf2cb64/console.html#_2014-11-30_19_08_17_754

The bandersnatch logs just prior to that are rather interesting, if somewhat unhelpful...

2014-11-30 18:55:01,782 INFO: bandersnatch/1.6.1 (CPython 2.7.3-final0, Linux 3.2.0-69-generic x86_64)
2014-11-30 18:55:01,783 INFO: Syncing with https://pypi.python.org.
2014-11-30 18:55:01,783 INFO: Current mirror serial: 1325698
2014-11-30 18:55:01,783 INFO: Syncing based on changelog.
2014-11-30 18:55:02,351 INFO: Trying to reach serial: 1325703
2014-11-30 18:55:02,351 INFO: 3 packages to sync.
2014-11-30 18:55:02,352 INFO: Syncing package: logilab-common (serial 1325702)
2014-11-30 18:55:02,353 DEBUG: Getting /pypi/logilab-common/json (serial 1325702)
2014-11-30 18:55:02,354 INFO: Syncing package: parsimony (serial 1325703)
2014-11-30 18:55:02,354 DEBUG: Getting /pypi/parsimony/json (serial 1325703)
2014-11-30 18:55:02,354 INFO: Syncing package: sqlauth (serial 1325700)
2014-11-30 18:55:02,355 DEBUG: Getting /pypi/sqlauth/json (serial 1325700)
2014-11-30 18:55:02,465 INFO: Syncing index page: parsimony
2014-11-30 18:55:02,465 DEBUG: Getting /simple/parsimony/ (serial 1325703)
2014-11-30 18:55:02,486 INFO: Downloading: https://pypi.python.org/packages/source/s/sqlauth/sqlauth-0.1.133.tar.gz
2014-11-30 18:55:02,486 DEBUG: Getting https://pypi.python.org/packages/source/s/sqlauth/sqlauth-0.1.133.tar.gz (serial None)
2014-11-30 18:55:02,507 DEBUG: Getting /serversig/parsimony/ (serial 1325703)
2014-11-30 18:55:02,540 INFO: Syncing index page: sqlauth
2014-11-30 18:55:02,540 DEBUG: Getting /simple/sqlauth/ (serial 1325700)
2014-11-30 18:55:02,581 DEBUG: Getting /serversig/sqlauth/ (serial 1325700)
2014-11-30 18:55:02,722 INFO: Syncing index page: logilab-common
2014-11-30 18:55:02,722 DEBUG: Getting /simple/logilab-common/ (serial 1325702)
2014-11-30 18:55:02,730 DEBUG: Getting /serversig/logilab-common/ (serial 1325702)
2014-11-30 18:55:02,820 INFO: Generating global index page.
2014-11-30 18:55:03,422 INFO: New mirror serial: 1325703

(This is taken from pypi.dfw.openstack.org but the logs on the other 3 are essentially the same.) At that point the index was updated to refer to a nonexistent logilab-common-0.63.2.tar.gz and remained in that state until a sysadmin manually cleared the state file to force a full mirror refresh.

I believe this is a recurrence of https://bitbucket.org/pypa/bandersnatch/issue/51

Changed in openstack-ci:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/138084
Committed: https://git.openstack.org/cgit/openstack-infra/elastic-recheck/commit/?id=2a47da5bd7e0fdfda55e15c08096083c28805f80
Submitter: Jenkins
Branch: master

commit 2a47da5bd7e0fdfda55e15c08096083c28805f80
Author: Matt Riedemann <email address hidden>
Date: Mon Dec 1 06:58:58 2014 -0800

    Add query for infra pypi mirror bug 1397931

    Sounds like this has already been fixed with
    a bandersnatch mirror refresh but we should
    categorize it to get the rates up.

    422 hits in 48 hours, check and gate, all
    failures.

    Change-Id: I924ccf36f92652aba55dd5156ab71035e7c16154
    Related-Bug: #1397931

Jeremy Stanley (fungi) on 2014-12-04
Changed in openstack-gate:
status: New → Fix Released
importance: Undecided → High
assignee: nobody → Sergey Lukjanov (slukjanov)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers